Bug 1026735 - Scilab 5.4.1 dependency on bwidget package seems to be missing
Scilab 5.4.1 dependency on bwidget package seems to be missing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: scilab (Show other bugs)
19
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Clément DAVID
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:24 EST by Paweł Zagórski
Modified: 2015-02-18 06:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:19:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paweł Zagórski 2013-11-05 05:24:48 EST
How reproducible:


Steps to Reproduce:
1. yum install scilab
2. In scilab console figure()
3. In the figure window navigate to Edit->Figure properties

Actual results:

Error message stating lack of bwidget package appears:

 !--error 999 
TCL_EvalFile, at line 22 of file /usr/local/share/scilab//modules/graphics/tcl/ged/Axes.tcl
    can't find package BWidget
    while executing
"package require BWidget"
    (in namespace inscope "::" script line 1)
    invoked from within
"namespace inscope :: package require BWidget"
    (file "/usr/local/share/scilab//modules/graphics/tcl/ged/Axes.tcl" line 22).
at line     182 of function ged_axes called by :  
at line     110 of function ged called by :  
ged(9,0);
while executing a callback

Apart form that Scilab seems to work just fine.

Expected results:

bwidget package should be installed along with Scilab.

Additional info:

N/A
Comment 1 Fedora Update System 2013-11-06 03:14:23 EST
scilab-5.4.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scilab-5.4.1-5.fc19
Comment 2 Fedora Update System 2013-11-06 03:14:50 EST
scilab-5.4.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scilab-5.4.1-5.fc18
Comment 3 Fedora Update System 2013-11-06 22:35:34 EST
Package scilab-5.4.1-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scilab-5.4.1-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20808/scilab-5.4.1-5.fc18
then log in and leave karma (feedback).
Comment 4 Fedora End Of Life 2015-01-09 17:40:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:19:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.